Hallo, Gast! (Registrieren)

Letzte Ankündigung: MyBB 1.8.8 veröffentlicht (17.10.16)


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste
Update 1.4.9->1.4.10: UpGRADE-Script erforderlich?
#1
Hallo,

ich habe heute ein Update von MyBB 1.4.9 auf MyBB 1.4.10 durchgeführt. Ich habe dazu die ZIP-Datei aus der Ankündigung heruntergeladen, die nur die geänderten Dateien enthält. Dann habe ich quasi "per Hand" die alten Dateien jeweils durch die neuen aus der ZIP ersetzt. Das Upgrade-Script habe ich bisher *NICHT* durchgeführt.
Soweit, so gut. Nach dem Online-Schalten und ersten Stichproben funktioniert alles wie es soll, Dateien, Beiträge, Avatare etc. sind alle vorhanden, man kann Beiträge erstellen und beantworten. Das Forum sieht eigtl. genauso aus wie vorher, nur dass halt im Admin-Bereich jetzt die Version 1.4.10 steht.

Nun meine Frage: Ist es notwendig, jetzt trotzdem noch dieses Upgrade-Script auszuführen? In der Ankündigung stand zwar etwas von Templates, die dadurch angepasst werden, aber da stand auch, dass man ein richtiges Upgrade durchführen soll, was ich ja in dem Sinne eigtl. nicht getan habe.

Bin auch etwas verwirrt, weil das Script eben Up*grade* heißt.

Bedanke mich schon mal im Voraus für mögliche hilfreiche Antworten.

Gruß
Max
#2
Hallo vGA,

Du solltest das Upgrade-Skript schon ausführen!

Wie in diesem Beitrag erwähnt, werden 3 Templates aktualisiert. Beachte nach dem Upgrade folgende Anmerkung aus der Ankündigung:
Michael schrieb:Geht nach dem Ausführen des Upgradeskripts ins Admin-CP und sucht nach aktualisierten Templates. Setzt die gefundenen Templates zurück in den Originalzustand oder lasst euch die Änderungen anzeigen und fügt diese manuell ein.
  • member_register_customfield
  • posticons
  • postbit_ignored

Was verwirrt Dich denn an dem Ausdruck "Upgrade"?
viele Grüße
Jockl
übersetzte und eigene Plugins
#3
Hallo Jockl, erstmal danke für die Antwort.

Werde dann das Script mal laufen lassen.

=>Zu Deiner Frage noch: Was mich an der Bezeichnung "upgrade" ein bißchen verwirrt hat, ist der Umstand, dass hier in der Aktualisierungsinfo zwischen Update (d.h. Aktualisierung innerhalb zweier Revisionen, also z.B. 1.4.9 auf 1.4.10) und Upgrade (d.h. Aktualisierung zwischen zwei "größeren" Builds, also z.B. 1.3.x auf 1.4.x) unterschieden wird. Dass im letzteren Fall Scripte notwendig (oder zumindest sehr komfortabel) sind, leuchtet mir ein, ich hatte halt gedacht/gehofft, dass ich bei der kleineren Aktualisierung vllt. darum herumkomme, weil ich ja nicht ganz genau weiß, was da jetzt alles verändert wird - nicht dass ich dann wieder tausende Sachen einstellen muss, die ich gerade mit Mühe angepasst hatte.

Naja, egal.

Gruß
Max
#4
Das Upgrade-Skript aktualisiert nur die geänderten Templates...
Wenn in der Ankündigung steht, dass es gebraucht wird, musst du es auch ausführen.
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
#5
Ja, die Unterscheidung zwischen Upgrade und Update ist vielleicht manchmal nicht ganz so einfach... Wink

(23.12.2009, 14:56)vGA schrieb: ....ich hatte halt gedacht/gehofft, dass ich bei der kleineren Aktualisierung vllt. darum herumkomme, weil ich ja nicht ganz genau weiß, was da jetzt alles verändert wird - nicht dass ich dann wieder tausende Sachen einstellen muss, die ich gerade mit Mühe angepasst hatte.

Upgrade-Script hin oder her. Selbst wenn Du nur Dateien ersetzen müsstest, wäre immer noch die Frage, ob Du evtl. forenspezifische Anpassungen in den entsprechenden Dateien vorgenommen hattest. Dann solltest Du vor dem Ersetzen der Dateien kontrollieren, ob Du dort eventuelle Änderungen übernehmen musst.
viele Grüße
Jockl
übersetzte und eigene Plugins
#6
(23.12.2009, 15:01)StefanT schrieb: Das Upgrade-Skript aktualisiert nur die geänderten Templates...
Wenn in der Ankündigung steht, dass es gebraucht wird, musst du es auch ausführen.

Hallo StefanT,
Hmm, ja, das habe ich jetzt auch verstanden. Ich war wie gesagt etwas unsicher wegen der Bezeichnung "upgrade.php".

Habe das Script jetzt auch durchgeführt und es klappt alles wie vorher.

Zitat:Upgrade-Script hin oder her. Selbst wenn Du nur Dateien ersetzen müsstest, wäre immer noch die Frage, ob Du evtl. forenspezifische Anpassungen in den entsprechenden Dateien vorgenommen hattest. Dann solltest Du vor dem Ersetzen der Dateien kontrollieren, ob Du dort eventuelle Änderungen übernehmen musst.

Hallo Jockl,

ja, das ist mir schon bewusst. Das war der Grund warum ich mit dem Script etwas unsicher war: bei den zu tauschenden Dateien war ich *sicher*, dass ich da nichts angepasst hatte vorher, bei den Templates hingegen habe ich schon ein paar Dinge verändert gehabt.

Jedenfalls euch beiden mal vielen Dank für die prompten Antworten.
Schöne Feiertage und so.
Gruß
Max